/* Demystify CSS.

   NB. I am not so great with CSS, any help you can offer to refactor
   this and make it actually responsive would be greatly appreciated.
*/

div.banner {
  width: 100%;
  background-color: #008383;
  color: white;
  text-align: center;
  font-size: 1em;

  position: fixed;
  top: 0;
  left: 0;
  height: 25px;
  padding: 10px;
}

a.banner_link {
  background-color: #008383;
  color: white;
}

a.banner_link:link {
  text-decoration: none;
  font-weight: bold;
  color: white;
}

a.banner_link:visited {
  text-decoration: none;
  font-weight: bold;
  color: white;
}

a.banner_link:hover {
  text-decoration: underline;
  font-weight: bold;
  color: white;
}

a.banner_link:active {
  text-decoration: underline;
  font-weight: bold;
  color: white;
}

main {
  position: relative;
  max-width: 800px;
  color:  #222;
  margin: auto;
  margin-top:  4.5%;
  font-family: Raleway, HelveticaNeue, "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: 400;
  font-size: 14px;
}

h1.title {
	font-size: 1.8em;
	letter-spacing: -.05rem;
	font-weight: bold;
	margin: 0 0 0 0;
}

h2.subtitle {
	font-size: 1.1em;
	letter-spacing: 0;
	margin:  0 0 0 0;
	font-weight: normal;
}

label.left-label {
	padding-top: 10%;
}

input.signature {
	text-transform: uppercase;
}

#About > p {
    font-style: italic;
}

a:link {
  text-decoration: none;
  font-weight: bold;
  color: #222;
}

a:visited {
  text-decoration: none;
  font-weight: bold;
  color: #222;
}

a:hover {
  text-decoration: underline;
  font-weight: bold;
  color: #222;
}

a:active {
  text-decoration: underline;
  font-weight: bold;
  color: #222;
}

i.mono {
	font-family: monospace;
}

img.logo {
	height: 50px;
	width:  50px;
	text-align: left;
	vertical-align: middle;
}

span.logo {
	color: #bebc00;
	font-weight: bold;
	margin-left: 5px;
}

.row {
	margin-top: 10px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}

.column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 1;
}

.half-column {
	margin-top: -5px;
	font-size:  3rem;
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: .14;
}

.content {
	margin-top: 5%;
}

div.drag {
	color-scheme: dark !important;
    -webkit-text-size-adjust: 100%;
    font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif;
    line-height: 1.5;
    word-wrap: break-word;
    -webkit-font-smoothing: antialiased;
    font-size: 17px;
    border: 2px dashed #bbb;
    border-radius: 5px;
    padding: 25px;
    text-align: center;
    border-color: rgb(84, 91, 95);
    color: rgb(36, 29, 19);
}

input[type="file"] {
    display: none;
}

label.custom-file-upload {
  background-color: rgb(240, 240, 240);
  border: 1px solid #ccc;
  border-radius:  3px;
  padding: 10px 25px 10px 25px;
  display: inline-block;
  cursor: pointer;
  text-transform: uppercase;
  font-size: 11px;
  letter-spacing: .1rem;
}

label.custom-file-upload:hover {
  font-weight: bold;
  color: #222;
  border-width: 2px;
  border-color: black;
  padding: 9px 24px 9px 24px;
}

html {
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

code {
  font-family: monospace;
  font-weight: 100;
  font-size: 13px;
}

textarea.denylist {
    width: 99%;
}

#denylistTextBox {
    padding-bottom: 5px;
}

div.py-error {
    display: none;
}

img.header {
    width: 100%;
}

div.deny-list {
    font-size: 1.2em;
    font-style: italic;
    text-align: right;
}

input.use-denylist {
    width: 20px;
    height: 20px;
}

hr {
    margin-top: 20px;
    margin-bottom: 15px;
}

li.sf-select {
    padding-top: 5px;
}

.sf-results {
    height: 0px;
    visibility: hidden;
}

.loader {
    visibility: hidden;
    height: 0px;
    margin-top:20px;
    margin-left: 115px;
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    background:
      radial-gradient(farthest-side,#0b95be 94%,#0000) top/8px 8px no-repeat,
      conic-gradient(#0000 30%,#0d39b4);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 8px),#000 0);
    animation: l13 1s infinite linear;
  }
  @keyframes l13{
    100%{transform: rotate(1turn)
    }
}

input.analysis_button {
	background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }

  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }

  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }

  input:checked + .slider {
    background-color: #bebc00;
  }

  input:focus + .slider {
    box-shadow: 0 0 1px #bebc00;
  }

  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }

  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }

  .slider.round:before {
    border-radius: 50%;
  }
